---
import Header from "../components/Header.astro";
import Footer from "../components/Footer.astro";
import "../styles/global.css";
// const pageTitle = "Home Page";
const { pageTitle } = Astro.props;
---

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" type="image/svg+xml" href="/favicon.svg" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <title>{pageTitle}</title>

    <!-- <script
      is:inline
      defer
      src="https://mock-widgets.s3.amazonaws.com/pengiuns/main.a56b5825.js"
    ></script> -->
    <link
      href="https://mock-widgets.s3.amazonaws.com/pengiuns/main.073c9b0a.css"
      rel="stylesheet"
    />

    <script
      is:inline
      defer
      src="https://mock-widgets.s3.amazonaws.com/pengiuns/main.3336ddd9.js"
      data-id-placements="banana"
    ></script>
  </head>
  <body>
    <Header />
    <div id="root"></div>
    <h1>{pageTitle}</h1>
    <slot />
    <Footer />
    <div id="banana"></div>
    <script>
      import "../scripts/menu.js";
    </script>
  </body>
</html>
